Groovy Documentation

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageParser

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.GroovyPageParser

All Implemented Interfaces:
  Tokens

    public class GroovyPageParser

NOTE: Based on work done by the GSP standalone project (https://gsp.dev.java.net/) Parsing implementation for GSP files

Authors:
  Troy Heninger
  Graeme Rocher
  Lari Hotari

Field Summary
`static java.lang.String` | `CONFIG_PROPERTY_DEFAULT_CODEC`
`static java.lang.String` | `CONSTANT_NAME_CONTENT_TYPE`
`static java.lang.String` | `CONSTANT_NAME_DEFAULT_CODEC`
`static java.lang.String` | `CONSTANT_NAME_JSP_TAGS`
`static java.lang.String` | `CONSTANT_NAME_LAST_MODIFIED`
`static String[]` | `DEFAULT_IMPORTS`
`static java.lang.String` | `GROOVY_SOURCE_CHAR_ENCODING`
`static Log` | `LOG`

Method Summary
`java.lang.Object` | `GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in)`
`void` | `flushTagBuffering()`
`void` | `generateGsp(java.io.Writer target)`
`void` | `generateGsp(java.io.Writer target, boolean precompileMode)`
`java.lang.String` | `getClassName()`
`java.lang.String` | `getContentType()`
`int` | `getCurrentOutputLineNumber()`
`java.lang.String` | `getDefaultCodecDirectiveValue()`
`java.lang.String` | `getExpressionText(java.lang.String text)` Returns an expression text for the given expression
`java.util.List` | `getHtmlParts()`
`String[]` | `getHtmlPartsArray()`
`java.util.Map` | `getJspTags()`
`long` | `getLastModified()`
`int[]` | `getLineNumberMatrix()`
`java.lang.String` | `getPackageName()`
`boolean` | `isInClosure()`
`java.io.InputStream` | `parse()`
`void` | `setClassName(java.lang.String className)`
`void` | `setLastModified(long lastModified)`
`void` | `setPackageName(java.lang.String packageName)`
`void` | `writeHtmlParts(java.io.File filename)`
`void` | `writeLineNumbers(java.io.File filename)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CONFIG_PROPERTY_DEFAULT_CODEC

    public static final java.lang.String CONFIG_PROPERTY_DEFAULT_CODEC

### CONSTANT_NAME_CONTENT_TYPE

    public static final java.lang.String CONSTANT_NAME_CONTENT_TYPE

### CONSTANT_NAME_DEFAULT_CODEC

    public static final java.lang.String CONSTANT_NAME_DEFAULT_CODEC

### CONSTANT_NAME_JSP_TAGS

    public static final java.lang.String CONSTANT_NAME_JSP_TAGS

### CONSTANT_NAME_LAST_MODIFIED

    public static final java.lang.String CONSTANT_NAME_LAST_MODIFIED

### DEFAULT_IMPORTS

    public static final String[] DEFAULT_IMPORTS

### GROOVY_SOURCE_CHAR_ENCODING

    public static final java.lang.String GROOVY_SOURCE_CHAR_ENCODING

### LOG

    public static final Log LOG

Method Detail

### GroovyPageParser

    @SuppressWarnings("rawtypes")
    public java.lang.Object GroovyPageParser(java.lang.String name, java.lang.String uri, java.lang.String filename, java.io.InputStream in)

### flushTagBuffering

    public void flushTagBuffering()

### generateGsp

    public void generateGsp(java.io.Writer target)

### generateGsp

    public void generateGsp(java.io.Writer target, @SuppressWarnings("hiding") boolean precompileMode)

### getClassName

    public java.lang.String getClassName()

### getContentType

    public java.lang.String getContentType()

### getCurrentOutputLineNumber

    public int getCurrentOutputLineNumber()

### getDefaultCodecDirectiveValue

    public java.lang.String getDefaultCodecDirectiveValue()

### getExpressionText

    public java.lang.String getExpressionText(java.lang.String text)

  Returns an expression text for the given expression
  Parameters:
    `text` - The text
  Returns:
    An expression text

### getHtmlParts

    public java.util.List getHtmlParts()

### getHtmlPartsArray

    public String[] getHtmlPartsArray()

### getJspTags

    public java.util.Map getJspTags()

### getLastModified

    public long getLastModified()

### getLineNumberMatrix

    public int[] getLineNumberMatrix()

### getPackageName

    public java.lang.String getPackageName()

### isInClosure

    public boolean isInClosure()

### parse

    public java.io.InputStream parse()

### setClassName

    public void setClassName(java.lang.String className)

### setLastModified

    public void setLastModified(long lastModified)

### setPackageName

    public void setPackageName(java.lang.String packageName)

### writeHtmlParts

    public void writeHtmlParts(java.io.File filename)

### writeLineNumbers

    public void writeLineNumbers(java.io.File filename)

Groovy Documentation